package javax.print.attribute;

import java.io.Serializable;

public class HashPrintJobAttributeSet extends HashAttributeSet implements PrintJobAttributeSet, Serializable
{
    private static final long serialVersionUID = -4204473656070350348L;
    
    public HashPrintJobAttributeSet() {
        super(PrintJobAttribute.class);
    }
    
    public HashPrintJobAttributeSet(PrintJobAttribute printJobAttribute) {
        super(printJobAttribute, PrintJobAttribute.class);
    }
    
    public HashPrintJobAttributeSet(PrintJobAttribute[] array) {
        super(array, PrintJobAttribute.class);
    }
    
    public HashPrintJobAttributeSet(PrintJobAttributeSet set) {
        super(set, PrintJobAttribute.class);
    }
}
